CMP(1)

NIMI
cmp - vertaa kahta tiedostoa tavu tavulta

YLEISKATSAUS
cmp [VALITSIN]... TIEDOSTO1 [TIEDOSTO2 [OHITUS1 [OHITUS2]]]

KUVAUS
Vertaa kahta tiedostoa tavu tavulta.

Valinnaiset OHITUS1 ja OHITUS2 ovat kunkin tiedoston alusta ohitettavien tavujen määrä (oletusarvoisesti nolla).

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-b, --print-bytes
    tulosta eroavat tavut

-i, --ignore-initial=OHITA
    ohita ensimmäiset OHITUS tavua kummastakin syötteestä

-i, --ignore-initial=OHITUS1:OHITUS2
    ohita TIEDOSTO1:n ensimmäiset OHITUS1 tavua ja TIEDOSTO2:n ensimmäiset OHITUS2 tavua

-l, --verbose
    tulosta tavujen sijainnit ja eroavat arvot

-n, --bytes=RAJA
    vertaa enintään RAJAn verran tavuja

-s, --quiet, --silent
    vaienna kaikki tavanomainen tuloste

--help
    näytä tämä ohje ja poistu

-v, --version
    näytä versiotiedot ja poistu

OHITUS-arvoihin voidaan liittää perään seuraavat kertoimet:kB 1000, K 1024, MB 1 000 000, M 1 048 576,GB 1 000 000 000, G 1 073 741 824 jne. myös kertoimille T, P, E, Z, Y.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä. Paluuarvo on 0, jos syötteet ovat samoja, 1 jos erilaisia, ongelmatilanteissa 2.

TEKIJÄ
Kirjoittaneet Torbjörn Granlund ja David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-DIFFutils@gnu.org
GNU diffutils-kotisivu: <https://www.gnu.org/software/diffutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>

TEKIJÄNOIKEUDET
Copyright © 2023 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
diff(1), diff3(1), sdiff(1)

Ohjelman cmp täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja cmp on täysin asennettu, komennon

    info cmp

pitäisi antaa täydellinen manuaali luettavaksi.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tommi Vainikainen <mucus@pcuf.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.